# $Revision: 1.3 $, $Date: 2011/05/09 16:58:39 $
Summary:	Library for accessing smart cards
Summary(pl.UTF-8):	Biblioteka do dostępu do kart procesorowych
Name:		smartcardpp
Version:	0.2.0
Release:	2
License:	BSD
Group:		Libraries
#Source0Download: http://code.google.com/p/esteid/downloads/list
Source0:	http://esteid.googlecode.com/files/%{name}-%{version}.tar.bz2
# Source0-md5:	4256e9d401864ce60f5d18de606c228f
Patch0:		%{name}-gcc.patch
URL:		http://code.google.com/p/esteid/
BuildRequires:	cmake >= 2.6
BuildRequires:	libstdc++-devel
BuildRequires:	pcsc-lite-devel
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
smartcardpp is a set of C++ classes to manage smart card
communications and implement basic command primitives.

%description -l pl.UTF-8
smartcardpp to zbiór klas C++ pozwalających na zarządzanie
komunikacją z kartami procesorowymi oraz implementujących podstawowe
polecenia.

%package devel
Summary:	Header files for smartcardpp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki smartcardpp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	pcsc-lite-devel

%description devel
This package contains header files for developing applications that
use smartcardpp library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę smartcardpp.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS
%attr(755,root,root) %{_bindir}/card-test
%attr(755,root,root) %{_libdir}/libsmartcardpp.so.*.*.*
%ghost %attr(755,root,root) %{_libdir}/libsmartcardpp.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsmartcardpp.so
%{_includedir}/smartcardpp

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: smartcardpp.spec,v $
Revision 1.3  2011/05/09 16:58:39  qboosh
- added gcc patch (fixes build with gcc 4.6)
- release 2

Revision 1.2  2011/05/09 16:55:49  qboosh
- package COPYING (specifies copyright holder)
- pl
- BR+R libstdc++-devel
- removed files duplicate

Revision 1.1  2011/01/03 21:10:22  glen
- new, based on fc spec
